#!ruby -Ks
require 'vr/vrcontrol'
require 'vr/vrhandler'

require 'grid.rb'

class GridCanvasPanel < VRCanvasPanel
	def vrinit
		super
		@offset_x = 16		#Obh̒[()
		@offset_y = 16		#Obh̒[(c)
		
		@grid = Grid.new
		
		@canvas_x = @grid.sheet_x + @offset_x		#V[g̕
		@canvas_y = @grid.sheet_y + @offset_y		#V[g̍
		createCanvas(@canvas_x,@canvas_x)
	end
	
	def offset
		[@offset_x,@offset_y]
	end
	
	
	def reset
		
		
		@canvas.setPen(RGB(0xff,0xff,0xff))
		@canvas.setBrush(RGB(0xff,0xff,0xff))
		@canvas.fillRect(0,0,self.w,self.h)
		
		@canvas.setPen(RGB(0xcc,0xcc,0xcc))
		@canvas.setBrush(RGB(0xcc,0xcc,0xcc))
		@canvas.fillRect(0,0,@canvas_x,@offset_y)
		@canvas.fillRect(0,0,@offset_x,@canvas_y)
		
		@canvas.setPen(RGB(0xee,0xee,0xee))
		@canvas.setBrush(RGB(0xee,0xee,0xee))
		@canvas.drawLine(0,@offset_y,@canvas_x,@offset_y)
		@canvas.drawLine(@offset_x,0,@offset_x,@canvas_y)
		
		@canvas.setPen(RGB(0xee,0xee,0xee))
		@canvas.setBrush(RGB(0xee,0xee,0xee))
		d = @offset_x
		@grid.w.each {|e|
			d += e
			@canvas.drawLine(d,0,d,@canvas_y)
		}
		d = @offset_y
		@grid.h.each {|e|
			d += e
			@canvas.drawLine(0,d,@canvas_x,d)
		}
		refresh
	end
end

